package agenda;

import java.util.*;
import java.io.*;


public class AddressBook implements Serializable
{
	
	private TreeSet book;
	
	
	public AddressBook()
	{
		book = new TreeSet();
	}
	
	
	public AddressBook(AddressBook rb)
	{
		book = new TreeSet(rb.book);
	}

	
	public synchronized int size()
	{
		return book.size();
	}
	
	
	public synchronized boolean add(User us)
	{
		return book.add(us);
	}
	
	public synchronized boolean remove(User us)
	{
		return book.remove(us);
	}
		
	
	public synchronized void clear()
	{
		book.clear();
	}

	
	public synchronized boolean contains(User us)
		{
			return book.contains(us);
		}

	
	public synchronized boolean isEmpty()
		{
			return book.isEmpty();
		}
	
	
	public synchronized Iterator iterator()
	{
		return book.iterator();
	}
	
	public synchronized boolean sum(AddressBook rb)
	{
		return book.addAll(rb.book);	
	}
	
	
}//fine classe