package agenda;

import java.io.*;
import java.lang.reflect.*;


public abstract class SimpleDumpManager extends LogManager
{
	public static void createGroup(File group,File log,File dump)throws IOException
	{
		ObjectOutputStream groupoos = new ObjectOutputStream(new FileOutputStream(group));
		
		groupoos.writeObject(log);
		groupoos.writeObject(dump);
		
		groupoos.close();
		
	}	
	
	protected final String dumpfn;
	
	protected final File dump;
	
	
	public SimpleDumpManager(File group) throws ClassNotFoundException,IOException
	{
		ObjectInputStream groupois = new ObjectInputStream(new FileInputStream(group));
		
		log = ((File)groupois.readObject());
		dump = ((File)groupois.readObject());
		
		groupois.close();

		logfn = log.getPath();
		dumpfn = dump.getPath();
		
		//log.createNewFile();		
		//dump.createNewFile();
	
	}//fine costruttore
	
			
}//fine classe