package agenda;

import java.util.*;
import java.io.*;
import SOMA.naming.*;



public class User implements Serializable,Comparable
	{
		private final String name;
		private final PlaceID place;
		
		public User(String name,PlaceID place)
		{
			this.name = name;
			this.place = place;
		}
		
		public String getName()
		{
			return name;
		}
			
		public int compareTo(Object o)//throws ClassCastException
		{
			if(o instanceof User) return name.compareTo(((User)o).getName());
			else throw new ClassCastException();
		}
			
		public boolean equals(Object obj)//throws ClassCastException
		{
			if(obj instanceof User) return ((this.compareTo((User)obj))==0);
			else return false;
		}
		

		public PlaceID getPlace()
		{
			return this.place;
		}
	
	}//fine classe